Vector BLF

Loading...
Searching...
No Matches
Vector::BLF::LinSpikeEvent Struct Referencefinal

LIN_SPIKE_EVENT. More...

`#include <LinSpikeEvent.h>`

Inheritance diagram for Vector::BLF::LinSpikeEvent:

## Public Member Functions
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader
| ObjectHeader (const ObjectType objectType, const uint16_t objectVersion=0)
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint16_t | calculateHeaderSize () const override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
| ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
| ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & | operator= (const ObjectHeaderBase &)=default
| ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & | operator= (ObjectHeaderBase &&)=default

## Public Attributes
uint16_t | channel {}
| application channel
uint16_t | reservedLinSpikeEvent {}
uint32_t | width {}
| the spike's width
Public Attributes inherited from Vector::BLF::ObjectHeader
uint32_t | objectFlags {ObjectFlags::TimeOneNans}
| object flags
uint16_t | clientIndex {}
| client index of send node
uint16_t | objectVersion {0}
| object specific version
uint64_t | objectTimeStamp {}
| object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t | signature {ObjectSignature}
| signature (ObjectSignature)
uint16_t | headerSize {}
| sizeof object header
uint16_t | headerVersion {}
| header version (1)
uint32_t | objectSize {}
| object size
ObjectType | objectType {ObjectType::UNKNOWN}
| object type

## Additional Inherited Members
Public Types inherited from Vector::BLF::ObjectHeader
enum | ObjectFlags : uint32_t { TimeTenMics = 0x00000001 , TimeOneNans = 0x00000002 }

## Detailed Description

LIN_SPIKE_EVENT.

Deprecated

This event occurs when a short (normally less than 1 bit time) dominant signal has been detected on a LIN channel.

## Member Function Documentation

## ◆ calculateObjectSize()

uint32_t Vector::BLF::LinSpikeEvent::calculateObjectSize | ( |  | ) | const
| override virtual

Calculates the objectSize

Returns
  object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

## ◆ read()

void Vector::BLF::LinSpikeEvent::read | ( | AbstractFile & | is | ) |
| override virtual

Read the data of this object

Parameters

  is | input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

## ◆ write()

void Vector::BLF::LinSpikeEvent::write | ( | AbstractFile & | os | ) |
| override virtual

Write the data of this object

Parameters

  os | output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

## Member Data Documentation

## ◆ channel

uint16_t Vector::BLF::LinSpikeEvent::channel {}

application channel

Channel number where the frame sent/received.

## ◆ reservedLinSpikeEvent

uint16_t Vector::BLF::LinSpikeEvent::reservedLinSpikeEvent {}

reserved

## ◆ width

uint32_t Vector::BLF::LinSpikeEvent::width {}

the spike's width

Spike length in microseconds

The documentation for this struct was generated from the following files:

- LinSpikeEvent.h
- LinSpikeEvent.cpp